midi_recorder(3)

NAME
midi_recorder - Hook notifying you when new MIDI data becomes available. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern void (*midi_recorder)(unsigned char data);

DESCRIPTION
If set, this function is called by the MIDI input driver whenever a new byte of MIDI data becomes available. It runs in an interrupt context, so it must execute very quickly and all the code/data must be locked. This currently works only under DOS and Windows.

SEE ALSO
install_sound_input(3), midi_out(3)